com.icesoft.faces.context.effects

## Class Effect

- java.lang.Object
- - com.icesoft.faces.context.effects.Effect

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    Appear, BlankEffect, BlindDown, BlindUp, DropOut, EffectQueue, Fade, Focus, Fold, Grow, Highlight, Move, Opacity, Puff, Pulsate, Scale, Shake, Shrink, SlideDown, SlideUp, Squish, SwitchOff

      public abstract class Effect
      extends java.lang.Object
      implements java.io.Serializable

  Base class for all javascript effects
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected EffectsArguments` | `ea`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Effect()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `float` | `getDelay()` Gets the delay before invoking the effect
    `float` | `getDuration()` Get the duration of the effect (In seconds)
    `float` | `getFps()` Get the frames per second of this effect
    `float` | `getFrom()` Gets the starting point of the transition, a float between 0.0 and 1.0.
    `abstract java.lang.String` | `getFunctionName()` get the name of the Function call to invoke the effect
    `java.lang.String` | `getId()` Get the HTML ID of the element t
    `int` | `getIntfromString(java.lang.String s)`
    `java.lang.String` | `getQueue()` Gets queuing options.
    `java.lang.String` | `getSequence()` Get the name of the sequence this effect is in
    `int` | `getSequenceId()` Get the ID or position of this effect in a sequence
    `float` | `getTo()` Gets the end point of the transition, a float between 0.0 and 1.0.
    `int` | `hashCode()`
    `boolean` | `isFired()` Has this effect been fired.
    `boolean` | `isQueued()` Deprecated.
    `boolean` | `isQueueEnd()` Deprecated.
    `boolean` | `isSubmit()` Gets is this effect should fire partial submit when finished
    `boolean` | `isSync()` Gets whether the effect should render new frames automatically (which it does by default).
    `boolean` | `isTransitory()` Transitory effects return a component to its original state.
    `void` | `setDelay(float delay)` Sets the delay before invoking the effect
    `void` | `setDuration(float duration)` Set the duration of the effect (In seconds)
    `void` | `setFired(boolean fired)` Set if this effect has been fired.
    `void` | `setFps(float fps)` Set the frames per second of this effect.
    `void` | `setFrom(float from)` Sets the starting point of the transition, a float between 0.0 and 1.0.
    `void` | `setId(java.lang.String id)` Set the HTML ID of the element t
    `void` | `setOptions(java.lang.String options)`
    `void` | `setQueue(java.lang.String queue)` Sets queuing options.
    `void` | `setQueued(boolean queued)` Deprecated.
    `void` | `setQueueEnd(boolean queueEnd)` Deprecated.
    `void` | `setSequence(java.lang.String sequence)` Set the name of the sequence this effect is in.
    `void` | `setSequenceId(int sequenceId)` Set the ID or position of this effect in a sequence
    `void` | `setSubmit(boolean submit)` Sets is this effect should fire partial submit when finished.
    `void` | `setSync(boolean sync)` Sets whether the effect should render new frames automatically (which it does by default).
    `void` | `setTo(float to)` Sets the end point of the transition, a float between 0.0 and 1.0.
    `void` | `setTransitory(boolean transitory)` Transitory effects do not alter the display state.
    `java.lang.String` | `toString()`
    `java.lang.String` | `toString(java.lang.String var, java.lang.String lastCall)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ea

          protected EffectsArguments ea

  - ### Constructor Detail

    - #### Effect

          public Effect()

  - ### Method Detail

    - #### isTransitory

          public boolean isTransitory()

      Transitory effects return a component to its original state. This flag is used to stop javascript from performing a partial submit at the end of an effect.

      Example highlight.
      Returns:

    - #### setTransitory

          public void setTransitory(boolean transitory)

      Transitory effects do not alter the display state. (Example: pulsate, shake) However other effects change css style properties, and in some cases the application needs to be aware of these changes. (For refreshing a page for example) When css changes need to be sent to the application you need to set the transitory property to false. The framework will then populate a hidden field with the new style information. Ready to be sent on the next submit. However, if you need to send the new style information immediately you need to set the submit attribute to true as well. This will fire a partial submit at the end of the effect. Default is true
      Parameters:
        `transitory` - true to not populate the css style changes, false to populate css style changes

    - #### isQueued

          public boolean isQueued()

      Deprecated.
      Returns:

    - #### setQueued

          public void setQueued(boolean queued)

      Deprecated.
      Parameters:
        `queued` -

    - #### isQueueEnd

          public boolean isQueueEnd()

      Deprecated.
      Returns:

    - #### setQueueEnd

          public void setQueueEnd(boolean queueEnd)

      Deprecated.
      Parameters:
        `queueEnd` -

    - #### isFired

          public boolean isFired()

      Has this effect been fired. ONly effects that have not been fired are sent to the browser
      Returns:

    - #### setFired

          public void setFired(boolean fired)

      Set if this effect has been fired. When this flag is set to false the effect will be sent to the browser on the next render pass. After being fired Icefaces will set this flag to true. To resend this effect set the flag to false.
      Parameters:
        `fired` -

    - #### getDuration

          public float getDuration()

      Get the duration of the effect (In seconds)
      Returns:

    - #### setDuration

          public void setDuration(float duration)

      Set the duration of the effect (In seconds)
      Parameters:
        `duration` -

    - #### getFps

          public float getFps()

      Get the frames per second of this effect
      Returns:

    - #### setFps

          public void setFps(float fps)

      Set the frames per second of this effect. max is 25
      Parameters:
        `fps` -

    - #### getFrom

          public float getFrom()

      Gets the starting point of the transition, a float between 0.0 and 1.0. Defaults to 0.0.
      Returns:

    - #### setFrom

          public void setFrom(float from)

      Sets the starting point of the transition, a float between 0.0 and 1.0. Defaults to 0.0.
      Parameters:
        `from` -

    - #### getTo

          public float getTo()

      Gets the end point of the transition, a float between 0.0 and 1.0. Defaults to 1.0.
      Returns:

    - #### setTo

          public void setTo(float to)

      Sets the end point of the transition, a float between 0.0 and 1.0. Defaults to 1.0.
      Parameters:
        `to` -

    - #### isSync

          public boolean isSync()

      Gets whether the effect should render new frames automatically (which it does by default). If true, you can render frames manually by calling the render() instance method of an effect. This is used by Effect.Parallel().
      Returns:

    - #### setSync

          public void setSync(boolean sync)

      Sets whether the effect should render new frames automatically (which it does by default). If true, you can render frames manually by calling the render() instance method of an effect. This is used by Effect.Parallel().
      Parameters:
        `sync` -

    - #### getDelay

          public float getDelay()

      Gets the delay before invoking the effect
      Returns:

    - #### setDelay

          public void setDelay(float delay)

      Sets the delay before invoking the effect
      Parameters:
        `delay` -

    - #### getQueue

          public java.lang.String getQueue()

      Gets queuing options. When used with a string, can be 'front' or 'end' to queue the effect in the global effects queue at the beginning or end, or a queue parameter object that can have {position:'front/end', scope:'scope', limit:1}
      Returns:

    - #### setQueue

          public void setQueue(java.lang.String queue)

      Sets queuing options. When used with a string, can be 'front' or 'end' to queue the effect in the global effects queue at the beginning or end, or a queue parameter object that can have {position:'front/end', scope:'scope', limit:1}
      Parameters:
        `queue` -

    - #### isSubmit

          public boolean isSubmit()

      Gets is this effect should fire partial submit when finished
      Returns:

    - #### setSubmit

          public void setSubmit(boolean submit)

      Sets is this effect should fire partial submit when finished. Transitory also needs to be set to true. default is false
      Parameters:
        `submit` -

    - #### getFunctionName

          public abstract java.lang.String getFunctionName()

      get the name of the Function call to invoke the effect
      Returns:

    - #### toString

          public java.lang.String toString(java.lang.String var,
                                           java.lang.String lastCall)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getId

          public java.lang.String getId()

      Get the HTML ID of the element t
      Returns:

    - #### setId

          public void setId(java.lang.String id)

      Set the HTML ID of the element t
      Parameters:
        `id` -

    - #### getSequence

          public java.lang.String getSequence()

      Get the name of the sequence this effect is in
      Returns:

    - #### setSequence

          public void setSequence(java.lang.String sequence)

      Set the name of the sequence this effect is in.
      Parameters:
        `sequence` -

    - #### getSequenceId

          public int getSequenceId()

      Get the ID or position of this effect in a sequence
      Returns:

    - #### setSequenceId

          public void setSequenceId(int sequenceId)

      Set the ID or position of this effect in a sequence
      Parameters:
        `sequenceId` -

    - #### setOptions

          public void setOptions(java.lang.String options)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### getIntfromString

          public int getIntfromString(java.lang.String s)

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.